---
title: Document.styleSheetSets
slug: Web/API/Document/styleSheetSets
tags:
  - API
  - CSSOM
  - DOM
  - Property
  - Reference
  - Stylesheets
---
<div>{{APIRef("DOM")}}{{gecko_minversion_header("1.9")}}{{obsolete_header}}</div>

<p>The <strong><code>styleSheetSets</code></strong> read-only property <span class="seosummary">returns a live list of all of the currently-available style sheet sets.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>sets</var> = <var>document</var>.styleSheetSets;
</pre>

<p>On return, <code>sets</code> is a list of style sheet sets that are available.</p>

<h2 id="Example">Example</h2>

<p>Given an {{HTMLElement("ul")}} (list) element with the ID "sheetList", you can populate it with the names of all the available style sheet sets with code like this:</p>

<pre class="brush:js notranslate">const list = document.getElementById('sheetList');
const sheets = document.styleSheetSets;

list.textContent = '';

for (let i = 0; i &lt; sheets.length; i++) {
  const item = document.createElement('li');

  item.textContent = sheets[i];
  list.appendChild(item);
}</pre>

<h2 id="Notes">Notes</h2>

<p>The list of available style sheet sets is constructed by enumerating all the style sheets available for the document, in the order in which they're listed in the {{domxref("document.styleSheets")}} attribute, adding the <code>title</code> of each style sheet that has a title to the list. Duplicates are dropped from the list (using a case-sensitive comparison).</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.styleSheetSets")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Stylesheet")}}</li>
 <li>{{domxref("document.styleSheets")}}</li>
 <li>{{domxref("document.lastStyleSheetSet")}}</li>
 <li>{{domxref("document.preferredStyleSheetSet")}}</li>
 <li>{{domxref("document.selectedStyleSheetSet")}}</li>
 <li>{{domxref("document.enableStyleSheetsForSet()")}}</li>
</ul>
